Debian Bug report logs - #309669
ITP: kscope -- Source Editing Environment for KDE

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ritesh Raj Sarraf <riteshsarraf@users.sourceforge.net>

Date: Wed, 18 May 2005 17:18:02 UTC

Owned by: fboudra@free.fr

Severity: wishlist

Fixed in version kscope/1.3.4-1

Done: Fathi Boudra <fboudra@free.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, riteshsarraf@users.sourceforge.net, unknown-package@qa.debian.org:
Bug#309669; Package kscope. Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <riteshsarraf@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to riteshsarraf@users.sourceforge.net, unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <riteshsarraf@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kscope: wishlist bug
Date: Wed, 18 May 2005 22:40:08 +0530
Package: kscope
Severity: wishlist


New wishlist bug.
Please include kscope as a package.
http://kscope.sourceforge.net

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.11mbl-bsplash
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#309669; Package kscope. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #10 received at 309669@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: debian-devel@lists.debian.org, 309669@bugs.debian.org
Subject: Re: Bug#309669: kscope: wishlist bug
Date: Wed, 18 May 2005 18:52:40 +0100
reassign 309669 wnpp
retitle 309669 RFP: kscope -- Source Editing Environment for KDE
thanks

* Ritesh Raj Sarraf <riteshsarraf@users.sourceforge.net> [2005-05-18 22:40]:
> Package: kscope
> Severity: wishlist
> 
> New wishlist bug.
> Please include kscope as a package.
> http://kscope.sourceforge.net

Anyone interested?
-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reassigned from package `kscope' to `wnpp'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#309669; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to fboudra@free.fr:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 309669@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@free.fr>
To: 309669@bugs.debian.org
Cc: debian-mentors@lists.debian.org
Subject: ITP: kscope -- Source Editing Environment for KDE
Date: Mon, 19 Sep 2005 17:23:12 +0200
retitle 309669 ITP: kscope -- Source Editing Environment for KDE
Subject: kscope -- Source Editing Environment for KDE
Package: wnpp
Severity: wishlist
 
* Package name : kscope
  Version : 1.3.0
  Upstream Author : Elad Lahav <elad_lahav@users.sf.net>
* URL : http://kscope.sourceforge.net
* License : GPL
  Description : Source Editing Environment for KDE

KScope is a KDE front-end to Cscope. It provides a source-editing environment
for large C projects. KScope is focused on source editing and analysis.

You can find my package on mentors :
http://mentors.debian.net/debian/pool/main/k/kscope/

cheers,

Fathi



Owner recorded as fboudra@free.fr. Request was from Fathi Boudra <fboudra@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Fathi Boudra <fboudra@free.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, fboudra@free.fr:
Bug#309669; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Mark Purcell" <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, fboudra@free.fr. Full text and rfc822 format available.

Message #28 received at 309669@bugs.debian.org (full text, mbox):

From: "Mark Purcell" <msp@debian.org>
To: 309669@bugs.debian.org
Subject: [Fwd: [Pkg-kde-extras] kscope_1.3.4-1_i386.changes is NEW]
Date: Fri, 28 Apr 2006 16:50:08 +0100 (BST)
---------------------------- Original Message ----------------------------
Subject: [Pkg-kde-extras] kscope_1.3.4-1_i386.changes is NEW
From:    "Debian Installer" <installer@ftp-master.debian.org>
Date:    Fri, April 28, 2006 8:32 am
To:      "Fathi Boudra" <fboudra@free.fr>
         "Debian KDE Extras Team" <pkg-kde-extras@lists.alioth.debian.org>
--------------------------------------------------------------------------

(new) kscope_1.3.4-1.diff.gz optional kde
(new) kscope_1.3.4-1.dsc optional kde
(new) kscope_1.3.4-1_i386.deb optional kde
source editing environment for KDE
 KScope is a KDE front-end to Cscope. It provides a source-editing
environment for large C projects. KScope is focused on source editing and
analysis. .
 KScope is built around an efficient mechanism for code-navigation, which
allows the user to run queries on the code.
 .
 The types of queries KScope can run include:
   * Get all references to a symbol
   * Find the definition of a symbol
   * Find all functions called by or calling to a function
   * Find an EGrep pattern
   * Find all files #including some file
 .
 These queries are handled by an underlying Cscope process. KScope simply
serves as a front-end to this process, feeding it with queries, and
parsing its output into result lists. The items in those lists can later
be selected to open an editor at the matching line.
 .
 Main Features:
  * Multiple editor windows (using your favourite KDE editor)
  * Project management
  * Front-end to most Cscope queries
  * Tag list for every open editor
  * Call-tree window
  * Session management, including saving and restoring queries
  * Works with externally-built cscope.out files
 .
  Homepage: http://kscope.sourceforge.net
(new) kscope_1.3.4.orig.tar.gz optional kde
Changes: kscope (1.3.4-1) unstable; urgency=low
 .
  * Initial release. (Closes: #309669: ITP: kscope -- Source Editing
    Environment for KDE - Debian Bug report logs)
Announcing to debian-devel-changes@lists.debian.org
Closing bugs: 309669


Your package contains new components which requires manual editing of the
override file.  It is ok otherwise, so please be patient.  New packages
are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above if
files already exist in other distributions.

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#309669; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to fboudra@free.fr:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #33 received at 309669@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@free.fr>
To: Mark Purcell <msp@debian.org>
Subject: kscope rejected
Date: Mon, 5 Jun 2006 16:47:14 +0200
hi mark,

i have updated copyright file due to the GFDL docs problem. i asked joerg 
about it, it seems ok for him, can re-upload the package ?

thanks.

cheers,

Fathi



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, fboudra@free.fr:
Bug#309669; Package wnpp. Full text and rfc822 format available.

Message #36 received at 309669@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <ftpmaster@debian.org>
To: Fathi Boudra <fboudra@free.fr>, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Cc: Debian Installer <installer@ftp-master.debian.org>
Subject: [Pkg-kde-extras] kscope_1.3.4-1_i386.changes REJECTED
Date: Fri, 02 Jun 2006 06:16:24 -0700
Hi Maintainer,

your debian/copyright is wrong. Please use the license text thats actually
used in the source for it, not another form.

Also you have the doc/ licensed under FDL, see indec.docbook, look for
&FDLNotice; - now check if thats a FDL version allowed in main...

-- 
bye Joerg



===

If you don't understand why your files were rejected, or if the
override file requires editing, reply to this email.

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, fboudra@free.fr:
Bug#309669; Package wnpp. Full text and rfc822 format available.

Message #39 received at 309669@bugs.debian.org (full text, mbox):

From: Debian Installer <installer@ftp-master.debian.org>
To: Fathi Boudra <fboudra@free.fr>, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Subject: [Pkg-kde-extras] kscope_1.3.4-1_i386.changes is NEW
Date: Mon, 12 Jun 2006 06:32:12 -0700
(new) kscope_1.3.4-1.diff.gz optional kde
(new) kscope_1.3.4-1.dsc optional kde
(new) kscope_1.3.4-1_i386.deb optional kde
source editing environment for KDE
 KScope is a KDE front-end to Cscope. It provides a source-editing environment
 for large C projects. KScope is focused on source editing and analysis.
 .
 KScope is built around an efficient mechanism for code-navigation, which
 allows the user to run queries on the code.
 .
 The types of queries KScope can run include:
   * Get all references to a symbol
   * Find the definition of a symbol
   * Find all functions called by or calling to a function
   * Find an EGrep pattern
   * Find all files #including some file
 .
 These queries are handled by an underlying Cscope process. KScope simply
 serves as a front-end to this process, feeding it with queries, and parsing
 its output into result lists. The items in those lists can later be selected
 to open an editor at the matching line.
 .
 Main Features:
  * Multiple editor windows (using your favourite KDE editor)
  * Project management
  * Front-end to most Cscope queries
  * Tag list for every open editor
  * Call-tree window
  * Session management, including saving and restoring queries
  * Works with externally-built cscope.out files
 .
  Homepage: http://kscope.sourceforge.net
(new) kscope_1.3.4.orig.tar.gz optional kde
Changes: kscope (1.3.4-1) unstable; urgency=low
 .
  * Initial release (Closes: #309669)
Announcing to debian-devel-changes@lists.debian.org
Closing bugs: 309669 


Your package contains new components which requires manual editing of
the override file.  It is ok otherwise, so please be patient.  New
packages are usually added to the override file about once a week.

You may have gotten the distribution wrong.  You'll get warnings above
if files already exist in other distributions.

_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras



Reply sent to Fathi Boudra <fboudra@free.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ritesh Raj Sarraf <riteshsarraf@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #44 received at 309669-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fboudra@free.fr>
To: 309669-close@bugs.debian.org
Subject: Bug#309669: fixed in kscope 1.3.4-1
Date: Mon, 26 Jun 2006 10:38:37 -0700
Source: kscope
Source-Version: 1.3.4-1

We believe that the bug you reported is fixed in the latest version of
kscope, which is due to be installed in the Debian FTP archive:

kscope_1.3.4-1.diff.gz
  to pool/main/k/kscope/kscope_1.3.4-1.diff.gz
kscope_1.3.4-1.dsc
  to pool/main/k/kscope/kscope_1.3.4-1.dsc
kscope_1.3.4-1_i386.deb
  to pool/main/k/kscope/kscope_1.3.4-1_i386.deb
kscope_1.3.4.orig.tar.gz
  to pool/main/k/kscope/kscope_1.3.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 309669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fboudra@free.fr> (supplier of updated kscope package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 28 Apr 2006 08:05:15 +0100
Source: kscope
Binary: kscope
Architecture: source i386
Version: 1.3.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Fathi Boudra <fboudra@free.fr>
Description: 
 kscope     - source editing environment for KDE
Closes: 309669
Changes: 
 kscope (1.3.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #309669)
Files: 
 e7e41607ddb35938eafebc42d26edd30 693 kde optional kscope_1.3.4-1.dsc
 50f4e1e743ca525e87b3bfc5245f0139 1162406 kde optional kscope_1.3.4.orig.tar.gz
 0eae7cd092910b4580dbf91be21451a0 9253 kde optional kscope_1.3.4-1.diff.gz
 0d07c9e03b73e39977f8d7489c276fab 708310 kde optional kscope_1.3.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEjWjUoCzanz0IthIRAk67AJ90mlcr9qZRfciVCg9ZvSFizeeeQwCfYnjN
dOsV/lBg8piVupdKzeAXTpE=
=yBIb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:56:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:33:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.